%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/hexops/gotextdiff
Version:                1.0.3

%gometa

%global common_description %{expand:
Unified text diffing in Go (copy of the internal diffing packages the official
Go language server uses).}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Unified text diffing in Go

License:        BSD-3-Clause
URL:            %{gourl}
Source0:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
